Page MenuHomePhabricator

Deploy libreNMS with scap3
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 9:01 PM

Added observability and Traffic assuming that hits the right people who care about libreNMS.

Restricted Application added a project: Operations. · View Herald TranscriptMar 7 2016, 9:18 PM
faidon edited projects, added netops; removed Traffic.Mar 8 2016, 1:01 PM
faidon added a subscriber: faidon.

Trebuchet was super broken for a while and the version we currently run is straight out of git — so I would be more than happy to switch to scap3 ASAP. What would be the next steps for this?

What would be the next steps for this?

Scap makes a few different assumptions than Trebuchet that you'd need to prepare for:

  1. Scap uses SSH rather than Salt, so:
  2. root is not the user that does remote work in scap—which probably means:
    • Remote sudoers permissions should be updated (so that the librenms-deploy user can restart the librenms service at the end of a deploy if service restart is needed)
    • File ownership on the targets—librenms-deploy should own /srv/deployment/librenms this should be handled by the scap3 provider.
package {'librenms':
    provider           => 'scap3',
    install_options => [{ 'owner' => 'librenms-deploy' }],
}

After that puppet-wragling, you'd just need to create a /srv/deployment/librenms/librenms/scap/scap.cfg on the deployment hosts. The details of the config are all in the docs.

There is a quickstart config in the docs that should work for simply transitioning to scap3 without using any new features introduced in scap3 (e.g., service checks, config deploy).

Releng is available to help where we can, too :)

akosiaris triaged this task as Medium priority.Apr 20 2016, 10:01 AM
faidon assigned this task to akosiaris.May 26 2016, 1:26 PM

Change 350861 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] librenms: Introduce scap3 deployment

https://gerrit.wikimedia.org/r/350861

ayounsi added a subscriber: ayounsi.May 1 2017, 6:59 PM

Change 351811 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/software/librenms@master] Add scap.cfg

https://gerrit.wikimedia.org/r/351811

Change 350861 merged by Alexandros Kosiaris:
[operations/puppet@production] librenms: Introduce scap3 deployment

https://gerrit.wikimedia.org/r/350861

Change 351811 merged by Alexandros Kosiaris:
[operations/software/librenms@master] Add scap.cfg

https://gerrit.wikimedia.org/r/351811

akosiaris closed this task as Resolved.May 5 2017, 1:45 PM

After a year and 2 months, I can finally happily resolve this. scap3 is now used to deploy librenms, with it's own user and key for keyholder.

@thcipriani Thanks for your help, very much appreciated.